pdftopng(1)

NAME
pdftopng - Portable Document Format (PDF) to Portable Network Graphics (PNG) converter (version 4.05)

SYNOPSIS
pdftopng [options] PDF-file PNG-root

DESCRIPTION
Pdftopng converts Portable Document Format (PDF) files to color, grayscale, or monochrome image files in Portable Network Graphics (PNG) format.

Pdftopng reads the PDF file, PDF-file, and writes one PNG file for each page, PNG-root-nnnnnn.png, where nnnnnn is the page number. If PNG-root is '-', the image is sent to stdout (this is probably only useful when converting a single page).

CONFIGURATION FILE
Pdftopng reads a configuration file at startup. It first tries to find the user's private config file, ~/.xpdfrc. If that doesn't exist, it looks for a system-wide config file, typically /etc/xpdfrc (but this location can be changed when pdftopng is built). See the xpdfrc(5) man page for details.

OPTIONS
Many of the following options can be set with configuration file commands. These are listed in square brackets with the description of the corresponding command line option.

-f number
    Specifies the first page to convert.

-l number
    Specifies the last page to convert.

-r number
    Specifies the resolution, in DPI. The default is 150 DPI.

-mono
    Generate a monochrome image (instead of a color image).

-gray
    Generate a grayscale image (instead of a color image).

-alpha
    Generate an alpha channel in the PNG file. This is only useful with PDF files that have been constructed with a transparent background. The -alpha flag cannot be used with -mono.

-rot angle
    Rotate pages by 0 (the default), 90, 180, or 270 degrees.

-freetype yes | no
    Enable or disable FreeType (a TrueType / Type 1 font rasterizer). This defaults to "yes". [config file: enableFreeType]

-aa yes | no
    Enable or disable font anti-aliasing. This defaults to "yes". [config file: antialias]

-aaVector yes | no
    Enable or disable vector anti-aliasing. This defaults to "yes". [config file: vectorAntialias]

-opw password
    Specify the owner password for the PDF file. Providing this will bypass all security restrictions.

-upw password
    Specify the user password for the PDF file.

-verbose
    Print a status message (to stdout) before processing each page. [config file: printStatusInfo]

-q  Don't print any messages or errors. [config file: errQuiet]

-cfg config-file
    Read config-file in place of ~/.xpdfrc or the system-wide config file.

-v  Print copyright and version information.

-h  Print usage information. (-help and --help are equivalent.)

EXIT CODES
The Xpdf tools use the following exit codes:

0   No error.

1   Error opening a PDF file.

2   Error opening an output file.

3   Error related to PDF permissions.

98  Out of memory.

99  Other error.

AUTHOR
The pdftopng software and documentation are copyright 1996-2024 Glyph & Cog, LLC.

SEE ALSO
xpdf(1), pdftops(1), pdftotext(1), pdftohtml(1), pdfinfo(1), pdffonts(1), pdfdetach(1), pdftoppm(1), pdfimages(1), xpdfrc(5)
http://www.xpdfreader.com/